Edit report at https://pear.php.net/bugs/bug.php?id=20402&edit=1
ID: 20402
Updated by: [email protected]
Reported By: 303170436 at qq dot com
Summary: PHP_CodeSniffer error
Status: Open
Type: Bug
Package: PHP_CodeSniffer
-Operating System: win7
+Operating System: centos6.4
Package Version: 2.0.0RC1
-PHP Version: 5.3.29
+PHP Version: 5.3.25
Roadmap Versions:
New Comment:
-Operating System: win7
+Operating System: centos6.4
-PHP Version: 5.3.29
+PHP Version: 5.3.25
Previous Comments:
------------------------------------------------------------------------
[2014-09-10 08:55:26] jouny
Description:
------------
/data/svntools/PHP_CodeSniffer-2.0.0RC1/scripts/phpcs-
svn-pre-commit "$REPOS" -t "$TXN" >&2 || exit 1
Test script:
---------------
/data/svntools/PHP_CodeSniffer-2.0.0RC1/scripts/phpcs-svn-pre-commit
"$REPOS" -t "$TXN" >&2 || exit 1
Expected result:
----------------
Commit blocked by pre-commit hook (exit code 1) with
output:
ERROR: option "t" not known.
Usage: phpcs [-nwlsaepvi] [-d key[=value]]
[--report=<report>] [--report-file=<reportFile>]
Actual result:
--------------
Commit blocked by pre-commit hook (exit code 1) with
output:
ERROR: option "t" not known.
Usage: phpcs [-nwlsaepvi] [-d key[=value]]
[--report=<report>] [--report-file=<reportFile>]
------------------------------------------------------------------------
--
Edit this bug report at https://pear.php.net/bugs/bug.php?id=20402&edit=1
lmpx.com only provides a reader for public news (NNTP) servers. It is not
affiliated with the servers or forums shown here and is not responsible for
the content of articles, which is written by their respective authors.